0 Пользователей и 1 Гость просматривают эту тему.
  • 24 Ответов
  • 2225 Просмотров
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Поясните, пожалуйста! Решил продублировать сайт на другом локальном компе. Старую версию ХАМРР с РНР 5.5.19 утерял. Поставил новую с версией РНР 7. Сайт сделан на версии Joomla 3.6.5, РНР 5.6.3 Сайт перенес как и рвньше делал. Но что то сайт в браузере не открывается.Связано ли это с версией РНР?
*

wishlight

  • Живу я здесь
  • 4235
  • 255 / 1
  • 300 руб очень быстрый хостинг в ЕС
Да. Но не факт что с php. А что открывается вместо сайта?

Вот вам другой сервер https://ospanel.io/
« Последнее редактирование: 07.01.2018, 22:32:52 от wishlight »
*

Aleks.Denezh

  • Живу я здесь
  • 3362
  • 416 / 4
Связано ли это с версией РНР?
может быть связанно с чем угодно!
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Сообщается, что невозможно открыть сайт. Я когда в 2015 году только входил в тему, устанавливал свежую версию Joomla на свежий хамрр. Повыскакивали ошибки. Здесь на форуме подсказали, что хамрр нужен  с более срой версией рнр.Установил,  ошибки пропали.
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Aleks.Denezh пишет:
может быть связанно с чем угодно!
никто не сомневается. что причин может быть много. но что касается именно этой версии?Може т ли Joomla с РНР 5.6.3 РАБОТАТЬ НА СЕРВЕРЕ с РНР 7 ?
*

robert

  • Живу я здесь
  • 4583
  • 428 / 16
Може т ли Joomla с РНР 5.6.3 РАБОТАТЬ НА СЕРВЕРЕ с РНР 7 ?
Вопрос некорректный.
https://docs.joomla.org/Technical_requirements/ru
Сообщается, что невозможно открыть сайт.
Нужно дословно, а не вашими словами.
Не будь паразитом, сделай что-нибудь самостоятельно!
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
robert
Вопрос некорректный.
Ну почему некорректный? По информации из ссылки, что Вы привели, , версия РНР не должна тут мешать. К , сожалению,  сейчас от своего сервера нахожусь на расстоянии.Что конкретно на экране сообщу завтра.
*

robert

  • Живу я здесь
  • 4583
  • 428 / 16
Може т ли Joomla с РНР 5.6.3 РАБОТАТЬ НА СЕРВЕРЕ с РНР 7 ?
Ну почему некорректный?
Joomla не идет ни с РНР 5.6.3, ни с какой-либо другой.
Joomla 3  может работать на PHP 7, Joomla 2.5 - нет.
Тем более, проблемы, скорее всего, связаны с расширениями, а не с Joomla.
« Последнее редактирование: 08.01.2018, 11:55:39 от robert »
Не будь паразитом, сделай что-нибудь самостоятельно!
*

xpank

  • Захожу иногда
  • 110
  • 16 / 0
Може т ли Joomla с РНР 5.6.3 РАБОТАТЬ НА СЕРВЕРЕ с РНР 7 ?
Не важно на какую версию PHP была первоначальная установка, это ни на что не влияет в дальнейшем, поэтому в пределах рекомендованных требований к серверу скрипты будут выполняться корректно.
P.S. У меня на сервере PHP 7.1.9, Joomla работает без проблем.
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Сегодня по новой установил последний XAMPP c PHP 7.2.0 , перенес на него сайт с другого компа, где XAMPP c PHP 5.5.19. На этот раз сайт открывается, но выскакивает ошибка : Warning: count(): Parameter must be an array or an object that implements Countable in C:\xampp\htdocs\pitomnik\libraries\cms\application\cms.php on line 464

Warning: count(): Parameter must be an array or an object that implements Countable in C:\xampp\htdocs\pitomnik\libraries\joomla\updater\updater.php on line 275
[/color]
при открытии панели ошибка такая: Warning: count(): Parameter must be an array or an object that implements Countable in C:\xampp\htdocs\pitomnik\libraries\cms\application\cms.php on line 464[/b] Ясно, что связано с РНР. На ХАМРР старом никаких ошибок, а сайт один в один.
*

zikkuratvk

  • Глобальный модератор
  • 4325
  • 310 / 2
  • Разрабатываем для Joomla
3.6 не подрживает php 7.2
В ней поддержка только PHP 7.0 и вроде 7.1, но не факт...
PHP 7.2 поддерживает только Joomla 3.8.3
Хочется уникальное расширение? ===>>>> JoomLine - Разрабатываем расширения под заказ.
Использую хостинг TimeWeb и Reg
*

robert

  • Живу я здесь
  • 4583
  • 428 / 16
На этот раз сайт открывается, но выскакивает ошибка
Ничего страшного: это не ошибка, а предупреждение, причина которого уже исправлена в следующих версиях.
P.S. С учетом того, что написал @zikkuratvk, нет гарантии, что в дальнейшем не вылезут другие проблемы.
« Последнее редактирование: 08.01.2018, 20:20:48 от robert »
Не будь паразитом, сделай что-нибудь самостоятельно!
*

xpank

  • Захожу иногда
  • 110
  • 16 / 0
Может стоит просто обновить движок до свежей версии? Чем дольше оттягивать, тем позже можно больше проблем словить при обновлении.
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
То есть итог? если я обновлю дл 3.8.3 проблемы исчезнут? А как насчет того что  robert привел ссылку где прямо указано  Joomla 3. поддерживается РНР 7 и выше.
*

robert

  • Живу я здесь
  • 4583
  • 428 / 16
То есть итог? если я обновлю дл 3.8.3 проблемы исчезнут? А как насчет того что  robert привел ссылку где прямо указано  Joomla 3. поддерживается РНР 7 и выше.
Прогресс не стоит на месте: как видите, есть PHP 7.0, 7.1, 7.2...
Но это не самое главное: как я уже писал, кроме Joomla, вы также должны обновить свои расширения. Joomla - это всего лишь рельсы, по которым ездят используемые вами расширения. Если Joomla может менять ширину колеи, то это еще не значит, что старые вагоны тоже могут это делать.
Не будь паразитом, сделай что-нибудь самостоятельно!
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Да  у меня нет сторонних расширений: стандартный шаблон beez3 и все, что к нему прилагается. Сейчас обновил сайт до 3.8.3. После обновы появилось сообщение :Fatal error: Maximum execution time of 30 seconds exceeded in C:\xampp\htdocs\pitomnik\libraries\joomla\http\transport\curl.php on line 200
При входе на сайт и панель фигурируют те же ошибки, что я приводил ранее. Что вообще эти ошибки означают?
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Извиняюсь ! Глянул, а обновы не произошло. Что то отказался обновляться. Версия осталась прежней 3.6.5  Как прочитать этот Fatal error.
*

ProtectYourSite

  • Завсегдатай
  • 1714
  • 97 / 4
  • Безопасность вебсайтов
Увеличьте лимиты на выполнение скриптов
*

robert

  • Живу я здесь
  • 4583
  • 428 / 16
Научитесь пользоваться поиском.
1
2
Не будь паразитом, сделай что-нибудь самостоятельно!
*

wishlight

  • Живу я здесь
  • 4235
  • 255 / 1
  • 300 руб очень быстрый хостинг в ЕС
Опенсервер поставьте и не мучайте себя.
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Всем спасибо за участие! И поиском научился пользоваться (вернее вспомнил, что такой метод тоже бывает полезен), и выяснил как увеличить лимиты выполнения скриптов. Все прекрасно обновилось- ошибки пропали. Общий итог: все таки определенное соответствие  версии  PHP на сервере  версии
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
Итог: определенное соответствие версии РНР на сервере  версии Joomla должно присутствовать.
*

Ebelous

  • Захожу иногда
  • 109
  • 0 / 0
  • Учиться,учиться и учиться!
wishlight пишет: Опенсервер поставьте и не мучайте себя.
Спасибо, конечно, за совет. Зашел на сайт, почитал MANUAL, что то как то сложновато. Где бы попонятней прочесть как его использовать как локсервер.
*

wishlight

  • Живу я здесь
  • 4235
  • 255 / 1
  • 300 руб очень быстрый хостинг в ЕС
*

zikkuratvk

  • Глобальный модератор
  • 4325
  • 310 / 2
  • Разрабатываем для Joomla
То есть итог? если я обновлю дл 3.8.3 проблемы исчезнут? А как насчет того что  robert привел ссылку где прямо указано  Joomla 3. поддерживается РНР 7 и выше.
Поддержка ПО всегда пишется для последней версии в ветке... последняя сейчас 3.8.3
Я 3.6.5 вышла два больше года назад... тогда PHP 7.2 еще не существовало, во всяком случае в финальной версии.
Хочется уникальное расширение? ===>>>> JoomLine - Разрабатываем расширения под заказ.
Использую хостинг TimeWeb и Reg
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Знатоки нужна помощь...Ошибка после перехода версии php

Автор polezniy

Ответов: 14
Просмотров: 395
Последний ответ Сегодня в 09:04:40
от NewUsers
0 - Обнаружена ошибка. Call to undefined method Joomla\Registry\Registry::getVa

Автор Victor333

Ответов: 22
Просмотров: 345
Последний ответ 09.11.2018, 11:46:17
от Victor333
Редактирование шаблона админки Joomla. Формы размещения статьи [Решено]

Автор Eholov

Ответов: 8
Просмотров: 324
Последний ответ 18.10.2018, 21:16:55
от lexxbry
Медиа менеджер и редактор фоток в Joomla

Автор informprostor

Ответов: 13
Просмотров: 588
Последний ответ 17.10.2018, 20:05:33
от informprostor
Как исправить ошибку Error: 500 при обновлении Joomla до 3.8.1?

Автор Dmitry T.

Ответов: 7
Просмотров: 1177
Последний ответ 16.10.2018, 23:38:46
от Septdir